Redmine - Defect #16145

Apache git Authn
2014-02-21 20:21 - Anton Rubets

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM extra Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 2.33
Description

hi i cant integrate git with redmine. | have looked at wiki topic and configure apache, grack, git but when i trying clone git repo i see

Can't locate object method "some_auth_required" via package "Apache2::Redmine" at /usr/local/lib/
perl5/site_perl/5.16/mach/Apache2/Redmine.pm line 321.\n

| change little the Redmine.pm code

package Apache2::Redmine;
=headl Apache2::Redmine

Its more comfortable for me in freebsd.
If someone have issues for this?

P.S. with default Redmine.pm the same
Thx for help

History

#1 - 2014-02-21 22:47 - Toshi MARUYAMA

- Category changed from Accounts / authentication to SCM extra

#2 - 2024-04-02 20:11 - Holger Just
- Status changed from New to Closed

- Resolution set to Cant reproduce

See HowTo_configure_ Redmine_for_advanced_git_integration for a guide to enable git integration in Apache.

If this does not work, please reopen this issue and provide additional details to allow us to reproduce this issue.
https://www.redmine.org/projects/redmine/wiki/HowTo_configure_Redmine_for_advanced_git_integration
http://www.tcpdf.org

